<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/views/admin/include/taglib.jsp"%>
<link href="assets/admin/bootstrap/2.3.1/css_cerulean/bootstrap.min.css" type="text/css" rel="stylesheet" />
<script src="assets/admin/bootstrap/2.3.1/js/bootstrap.min.js" type="text/javascript"></script>
<link href="assets/admin/bootstrap/2.3.1/awesome/font-awesome.min.css" type="text/css" rel="stylesheet" />
<link type="text/css" rel="stylesheet" href="assets/js/jquery/easyui/themes/bootstrap/easyui.css"/>
<script src="assets/js/jquery/easyui/easyui-lang-zh_CN.js"></script>
<script type="text/javascript">
$(document).ready(function() {
	var arg = new Array();
	arg='${page.list}';
	if(arg=='[]'){  
		$.messager.alert("提示","当前查询条件暂无数据","info")
	}
});
function page(n,s){
	searchlist(n,s);
}
function searchlist(n,s){
	var stationS=$.trim($("#stationS").val().trim());
	var stationE=$.trim($("#stationE").val().trim());
//	if(stationS == ""){
//		$(".input_text").val("");
//		$.messager.alert("操作提示","请输入发车站！","info",function(){$("#stationS").focus();});
//		return;
//	} else if(stationE == ""){
//		$(".input_text1").val("");
//		$.messager.alert("操作提示","请输入到达站！","info",function(){$("#stationE").focus();});
//		return;
//	}
// 	stationS=stationS.replace(/\s/g, "");
// 	stationE=stationE.replace(/\s/g, "");
	
	var flag1=false,flag2=false;
	for(var k=0;k<stationS.length;k++){  
	     if ((!/^\s+$/g.test(stationS.charAt(k)))&&(!/^[\u4e00-\u9fa5]+$/.test(stationS.charAt(k)))&&(!stationS.charAt(k).match(/\d+/g))&&(!/^[A-Za-z]+$/.test(stationS.charAt(k)))){   
	    	 flag1=true;
	    	break;
		 }   
    }
	for(var k=0;k<stationE.length;k++){  
	     if ((!/^\s+$/g.test(stationE.charAt(k)))&&(!/^[\u4e00-\u9fa5]+$/.test(stationE.charAt(k)))&&(!stationE.charAt(k).match(/\d+/g))&&(!/^[A-Za-z]+$/.test(stationE.charAt(k)))){   
	    	 flag2=true;
	    	break;
		 }   
   }
	if(flag1||flag2){  
		  $.messager.alert("提示","您输入的数据含有非法字符！","info");
		  if(flag1){
			  $("#stationS").val("");
		  }
		  if(flag2){
			  $("#stationE").val("");
		  }
		 return false;     
	}     
	else{
		$("#pageNo").val(n);
		$("#pageSize").val(s);
		var url="table/getTrainGridData?stationS="+encodeURI(stationS)+"&stationE="+encodeURI(stationE)+"&pageNo="+n+"&pageSize="+s;
		loadPage(url);
	}
}
var text = "盐城";
$(document).ready(function(){
	<%--if("${stationS}"==""){--%>
		<%--$(".input_text").val(text);--%>
	<%--}--%>
});
function cancelText(){
	$(".input_text").val("");
	$(".input_text1").val(text);
}
function cancelText1() {
	$(".input_text1").val("");
	$(".input_text").val(text);
	
}
function checkSe() {
	if($.trim($("#stationS").val())!="" && $.trim($("#stationE").val())!=""){
		if($("#stationS").val()!=text && $("#stationE").val()!=text){
			$.messager.alert("操作提示","发车站或到达站为盐城！","info",function(){$(".input_text").val("");});
			return;
		}
		if($("#stationS").val()==text && $("#stationE").val()==text){
			$.messager.alert("操作提示","发车站或到达站不同时为盐城！","info",function(){$(".input_text").val("");});
			return;
		}
	}
}
</script>
	<div class="about_top">
		当前位置: 列车信息
	</div>
	<!-- about_form -->
	<div class="about_form">
		<form:form method="post" action="table/getTrainGridData" id="trainSearchForm" class="breadcrumb form-search" modelAttribute="trainInfo">
			<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
			<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
			<label>发车站：</label><form:input id="stationS" path="stationS" value="${stationS}" htmlEscape="false" maxlength="50" class="input_text" onchange="checkSe()" onclick="cancelText()"/>&nbsp;
			<label style="margin-left: 3%;">到达站：</label><form:input id="stationE" path="stationE" value="${stationE}" htmlEscape="false" maxlength="50" class="input_text1" onchange="checkSe()" onclick="cancelText1()"/>&nbsp;
			<p class="last">
			<button type="button" onclick="searchlist('','')" class="searchbutton" ><a >查询</a></button>
			</p>
			<div class="about1">
			<button type="button" class="about_but1"  id="" onclick="window.open('http://www.12306.cn/mormhweb/')" style="width: 80px;height: 35px;">
				<a style="color:#fff;position: absolute;right: 0px;top: 9px">购票</a>
			</button>
			</div>
		</form:form>
	</div>
	
<!-- 从数据库获取的数据列表 -->
<div class="cont" >
		<!-- grid-->
		<table id="contentTable" class="table table-striped table-bordered table-condensed" style="width:75%">
			<thead><tr><th>车次</th><th>始发站</th><th>终点站</th><th>发车站</th><th>到达站</th><th>到达时间</th><th>出发时间</th><th>里程（公里）</th><th>行驶天数（天）</th></tr></thead>
			<tbody>
			<c:forEach items="${page.list}" var="trainInfo">
				<tr>
					<td>${trainInfo.trainNo}</td>
					<td>${trainInfo.startStation}</td>
					<td>${trainInfo.endStation}</td>
					<td>${trainInfo.departStation}</td>
					<td>${trainInfo.arrStation}</td>
					<td>${trainInfo.arrTime}</td>
					<td>${trainInfo.departTime}</td>
					<td>${trainInfo.mile}</td>
					<td>${trainInfo.days}</td>
				</tr>
			</c:forEach>
			</tbody>
		</table>
<%-- <div class="pagination1">${page}</div> --%>
<div class="pagination">${page}</div>
		
		<!-- 盐城火车站的详细信息 -->
		 <div class="kyz_list" style="background:#ffffff;border: 1px solid #ececec;">
			<div class="kyz_span"><span>盐城市火车站</span></div>
			<div class="train_list">
				<img src="assets/images/GIS.png" style="width: 90%;height: 50%;margin-left: 6%;">
				<div style="margin-left: 7%;width: 90%;">
				<span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;盐城火车站于新长铁路铺建时新建，处于青年东路与范公路交界处，距盐城市中心建军广场约4公里，与盐城汽车客运总站相邻而望，构成了与汽车之间的换乘系统。<br>
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;盐城火车站于2004年7月开通客运列车，2006年3月为适应未来铁路客流的增长启动改扩建，新火车站于2007年2月3日正式投入营运，新的盐城火车站设计精巧，
					站前广场美观大方，按航站楼建造标准建设的候车室共有两层，总建筑面积约10669平方米。目前为3站台5轨，预留电气化扩建轨道与站台（近期5站台7轨）。
				</span>
				</div>
			</div>
			<div class="phone_train" style="width: 90%">
				<img src="assets/images/train_bus.png" style="width: 12%;height: 12%;">
				<span>
					<b>交通换乘</b>：
					3路，8路，11路，13路，17路，23路，32路，B支4路，K2路，K202路，K7路。
				</span><br>
				<img src="assets/images/train_phone.png" style="width: 12%;height: 12%;">
				<span>
					<p style="margin-left: 13%;margin-top: -8%;">
					 <b>盐城火车站订票电话</b>：0515-12306<br>
					 <b>盐城火车站咨询电话</b>：0515-87042538
					 </p>
				</span>
			
			</div>
		</div> 
		<div class="bottom" >
		<p>以上数据仅供参考，以实际公布信息为准！</p>
	</div>
</div>
</div>
<div class="clear"></div>